Cyan Web API - Version 1


GET api/userGroups

            Gets all UserGroups.
            

Response Information

Response body formats

application/json, text/json

Sample:
[
  {
    "userGroupId": "0b9dd15e-a44b-4926-94b3-59585b06936a",
    "tenantId": "18d6a092-1a96-4811-9ea6-23e553314011",
    "lookupKey": "sample string 3",
    "name": "sample string 4",
    "description": "sample string 5",
    "isDefault": true,
    "createdDateUtc": "2026-09-05T05:37:06.7396755+00:00",
    "updatedDateUtc": "2026-09-05T05:37:06.7396755+00:00"
  },
  {
    "userGroupId": "0b9dd15e-a44b-4926-94b3-59585b06936a",
    "tenantId": "18d6a092-1a96-4811-9ea6-23e553314011",
    "lookupKey": "sample string 3",
    "name": "sample string 4",
    "description": "sample string 5",
    "isDefault": true,
    "createdDateUtc": "2026-09-05T05:37:06.7396755+00:00",
    "updatedDateUtc": "2026-09-05T05:37:06.7396755+00:00"
  },
  {
    "userGroupId": "0b9dd15e-a44b-4926-94b3-59585b06936a",
    "tenantId": "18d6a092-1a96-4811-9ea6-23e553314011",
    "lookupKey": "sample string 3",
    "name": "sample string 4",
    "description": "sample string 5",
    "isDefault": true,
    "createdDateUtc": "2026-09-05T05:37:06.7396755+00:00",
    "updatedDateUtc": "2026-09-05T05:37:06.7396755+00:00"
  }
]

application/xml, text/xml

Sample:
<ArrayOfUserGroupRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <UserGroupRepresentation>
    <CreatedDateUtc>2026-09-05T05:37:06.7396755+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-09-05T05:37:06.7396755+00:00</UpdatedDateUtc>
    <Description>sample string 5</Description>
    <IsDefault>true</IsDefault>
    <LookupKey>sample string 3</LookupKey>
    <Name>sample string 4</Name>
    <TenantId>18d6a092-1a96-4811-9ea6-23e553314011</TenantId>
    <UserGroupId>0b9dd15e-a44b-4926-94b3-59585b06936a</UserGroupId>
  </UserGroupRepresentation>
  <UserGroupRepresentation>
    <CreatedDateUtc>2026-09-05T05:37:06.7396755+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-09-05T05:37:06.7396755+00:00</UpdatedDateUtc>
    <Description>sample string 5</Description>
    <IsDefault>true</IsDefault>
    <LookupKey>sample string 3</LookupKey>
    <Name>sample string 4</Name>
    <TenantId>18d6a092-1a96-4811-9ea6-23e553314011</TenantId>
    <UserGroupId>0b9dd15e-a44b-4926-94b3-59585b06936a</UserGroupId>
  </UserGroupRepresentation>
  <UserGroupRepresentation>
    <CreatedDateUtc>2026-09-05T05:37:06.7396755+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-09-05T05:37:06.7396755+00:00</UpdatedDateUtc>
    <Description>sample string 5</Description>
    <IsDefault>true</IsDefault>
    <LookupKey>sample string 3</LookupKey>
    <Name>sample string 4</Name>
    <TenantId>18d6a092-1a96-4811-9ea6-23e553314011</TenantId>
    <UserGroupId>0b9dd15e-a44b-4926-94b3-59585b06936a</UserGroupId>
  </UserGroupRepresentation>
</ArrayOfUserGroupRepresentation>